---
updatedAt: 2025-11-20T07:40:54.000Z
agentTools:
  projectIndex: https://partner-docs.gupshup.io/llms.txt
---

# Get All Subscriptions

This API endpoint retrieves all the current webhook subscription configuration for a partner application. It returns details about the subscribed event types, webhook URL, subscription status, and metadata. This is useful for verifying webhook configurations, auditing subscription settings, and troubleshooting event delivery issues.

### Request Parameters

| Key           | Description                      | Value                   | Data type | Required/Optional | Constraints                                                             |
| :------------ | :------------------------------- | :---------------------- | :-------- | :---------------- | :---------------------------------------------------------------------- |
| Authorization | Access Token for the application | `{{PARTNER_APP_TOKEN}}` | String    | Required          | Should be a valid Partner App Access Tokenalid Partner App Access Token |
| appId         | App ID to fetch the access token | `{{APP_ID}}`            | String    | Required          | The Id should be a valid app Id of Gupshup                              |

### Sample Request

```curl
curl --location 'https://partner.gupshup.io/partner/app/{{APPId}}/subscription' \
--header 'Authorization: {{PARTNER_APP_TOKEN}}'
```

### Sample Response

```json
{
	"status": "success",
	"subscriptions": [
		{
		"active": true,
		"appId": "57d9179b-7412-4621-bf86-57ee1962fd12",
		"createdOn": 1735818105594,
		"id": "29040",
		"mode": 16383,
		"modes": [
			"SENT",
			"DELIVERED",
			"READ",
			"DELETED",
			"OTHERS",
			"FAILED",
			"MESSAGE",
			"TEMPLATE",
			"ACCOUNT",
			"BILLING",
			"ENQUEUED",
			"FLOWS_MESSAGE",
			"PAYMENTS",
			"ALL"
		],
		"modifiedOn": 1735818105594,
		"showOnUI": false,
		"tag": "mm",
		"url":"https://webhook.site/e1d58c71-2c14-4e82-90ce-4fd4c0caaf96",
		"version": 3
		}
	]
}
```

## Status Codes

<Table align={["left","left","left"]}>
  <thead>
    <tr>
      <th>
        Status Code
      </th>

      <th>
        Response
      </th>

      <th>
        Comments
      </th>
    </tr>
  </thead>

  <tbody>
    <tr>
      <td>
        **Success**
      </td>

      <td>

      </td>

      <td>

      </td>
    </tr>

    <tr>
      <td>
        200
      </td>

      <td>
        \{
        "status": "success",
        "subscriptions": [
        \{
        "active": true,
        "appId": "57d9179b-7412-4621-
        bf86-57ee1962fd12",
        "createdOn": 1735818105594,
        "id": "29040",
        "mode": 16383,
        "modes": [
        "SENT",
        "DELIVERED",
        "READ",
        "DELETED",
        "OTHERS",
        "FAILED",
        "MESSAGE",
        "TEMPLATE",
        "ACCOUNT",
        "BILLING",
        "ENQUEUED",
        "FLOWS_MESSAGE",
        "PAYMENTS",
        "ALL"
        ],
        "modifiedOn": 1735818105594,
        "showOnUI": false,
        "tag": "mm",
        "url":
        "

        [https://webhook.site/e1d58c71-2c14-4e82-](https://webhook.site/e1d58c71-2c14-4e82-)


        90ce-4fd4c0caaf96",
        "version": 3
        }
        ]
        }
      </td>

      <td>

      </td>
    </tr>

    <tr>
      <td>
        **Error**
      </td>

      <td>

      </td>

      <td>

      </td>
    </tr>

    <tr>
      <td>
        429
      </td>

      <td>
        \{
        "status": "error",
        "message": "Too Many Requests"
        }
      </td>

      <td>

      </td>
    </tr>

    <tr>
      <td>
        500
      </td>

      <td>
        \{
        "status": "error",
        "message": "Internal server error. Please try again later and If issue still persist, then contact Gupshup Dev Support"
        }
      </td>

      <td>

      </td>
    </tr>
  </tbody>
</Table>

# OpenAPI definition

```json
{
  "openapi": "3.0.0",
  "info": {
    "title": "Get subscription API",
    "version": "1.0.0"
  },
  "servers": [
    {
      "url": "https://partner.gupshup.io"
    }
  ],
  "paths": {
    "/partner/app/{appId}/subscription": {
      "get": {
        "tags": [
          "default"
        ],
        "summary": "Get All Subscriptions",
        "parameters": [
          {
            "name": "Authorization",
            "in": "header",
            "schema": {
              "type": "string"
            },
            "example": "sk_343sk******"
          },
          {
            "name": "appId",
            "in": "path",
            "schema": {
              "type": "string"
            },
            "required": true,
            "example": "57d9179b-7412-4621-bf86-57ee1962fd12"
          }
        ],
        "responses": {
          "200": {
            "description": "Successful response",
            "content": {
              "application/json": {
                "schema": {
                  "type": "object",
                  "properties": {
                    "status": {
                      "type": "string",
                      "example": "success"
                    },
                    "subscriptions": {
                      "type": "array",
                      "items": {
                        "type": "object",
                        "properties": {
                          "active": {
                            "type": "boolean"
                          },
                          "appId": {
                            "type": "string",
                            "example": "57d9179b-7412-4621-bf86-57ee1962fd12"
                          },
                          "createdOn": {
                            "type": "integer",
                            "format": "int64",
                            "example": "1735818105594"
                          },
                          "id": {
                            "type": "string",
                            "example": "29040"
                          },
                          "mode": {
                            "type": "integer",
                            "format": "int32",
                            "example": "16383"
                          },
                          "modes": {
                            "type": "array",
                            "items": {
                              "type": "object",
                              "properties": {
                                "0": {
                                  "type": "string",
                                  "example": "S"
                                },
                                "1": {
                                  "type": "string",
                                  "example": "E"
                                },
                                "2": {
                                  "type": "string",
                                  "example": "N"
                                },
                                "3": {
                                  "type": "string",
                                  "example": "T"
                                },
                                "4": {
                                  "type": "string",
                                  "example": "V"
                                },
                                "5": {
                                  "type": "string",
                                  "example": "E"
                                },
                                "6": {
                                  "type": "string",
                                  "example": "R"
                                },
                                "7": {
                                  "type": "string",
                                  "example": "E"
                                },
                                "8": {
                                  "type": "string",
                                  "example": "D"
                                },
                                "9": {
                                  "type": "string",
                                  "example": "S"
                                },
                                "10": {
                                  "type": "string",
                                  "example": "A"
                                },
                                "11": {
                                  "type": "string",
                                  "example": "G"
                                },
                                "12": {
                                  "type": "string",
                                  "example": "E"
                                }
                              }
                            },
                            "example": [
                              "SENT",
                              "DELIVERED",
                              "FLOWS_MESSAGE"
                            ]
                          },
                          "modifiedOn": {
                            "type": "integer",
                            "format": "int64",
                            "example": "1735818105594"
                          },
                          "showOnUI": {
                            "type": "boolean"
                          },
                          "tag": {
                            "type": "string",
                            "example": "mm"
                          },
                          "url": {
                            "type": "string",
                            "example": "https://webhook.site/e1d58c71-2c14-4e82-90ce-4fd4c0caaf96"
                          },
                          "version": {
                            "type": "integer",
                            "format": "int32",
                            "example": "3"
                          }
                        }
                      },
                      "example": [
                        {
                          "active": true,
                          "appId": "57d9179b-7412-4621-bf86-57ee1962fd12",
                          "createdOn": 1735818105594,
                          "id": "29040",
                          "mode": 16383,
                          "modes": [
                            "SENT",
                            "DELIVERED",
                            "READ",
                            "DELETED",
                            "OTHERS",
                            "FAILED",
                            "MESSAGE",
                            "TEMPLATE",
                            "ACCOUNT",
                            "BILLING",
                            "ENQUEUED",
                            "FLOWS_MESSAGE",
                            "PAYMENTS",
                            "ALL"
                          ],
                          "modifiedOn": 1735818105594,
                          "showOnUI": false,
                          "tag": "mm",
                          "url": "https://webhook.site/e1d58c71-2c14-4e82-90ce-4fd4c0caaf96",
                          "version": 3
                        }
                      ]
                    }
                  }
                }
              }
            }
          },
          "401": {
            "description": "Unauthorized",
            "content": {
              "application/json": {
                "schema": {
                  "type": "object",
                  "properties": {
                    "property1": {
                      "type": "string"
                    }
                  }
                }
              }
            }
          },
          "429": {
            "description": "Too Many Requests",
            "content": {
              "application/json": {
                "schema": {
                  "type": "object",
                  "properties": {
                    "status": {
                      "type": "string",
                      "example": "error"
                    },
                    "message": {
                      "type": "string",
                      "example": "Too Many Requests"
                    }
                  }
                }
              }
            }
          },
          "500": {
            "description": "Internal server error",
            "content": {
              "application/json": {
                "schema": {
                  "type": "object",
                  "properties": {
                    "message": {
                      "type": "string",
                      "example": "Internal error occured"
                    },
                    "status": {
                      "type": "string",
                      "example": "error"
                    }
                  }
                }
              }
            }
          }
        }
      }
    }
  }
}
```